LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices



Reply
 
Search this Thread
Old 08-30-2012, 08:12 AM   #46
zw963
LQ Newbie
 
Registered: Jan 2011
Posts: 12

Rep: Reputation: 0

Hi, I just have a look with newest 4.0.0.8 package, I find you not use the follow files.

libQtGui.so.4.7.0
libQtCore.so.4.7.0
libQtNetwork.so.4.7.0
libQtDbus.so.4.7.0
libQtXml.so.4.7.0

But I use ldd test, this files is necessary. and I use it, it work fine for me.
I want to know, how you to do this ??
when I used yours package, If future update to 4.0.0.9 or 4.0.0.10 etc..,
I just replace Skype files with new version, it could work OK ?
 
Old 08-30-2012, 10:33 AM   #47
zw963
LQ Newbie
 
Registered: Jan 2011
Posts: 12

Rep: Reputation: 0
Quote:
Originally Posted by zerouno View Post
ldd is not sufficient for detecting all libraries needed used by skype.

To solve the keyboard problems you must to install the qt plugins and gconv libraries. Also you need v4l for some webcam and some other libraries.

In post #39 you can find the full 32bit libraries needed.


All these libraries are included in the package skype_static-4.0.0.8-x86_64-1mt.txz linked in post #42
Hi! It so Cool, my problem with BC3 resolved!
I have replace some file from you 4.0.0.8 package, mostly of libX11.so.6.3.0, It all work file now!!

I analysis, the old broken version libX11.so.6.3.0 is Slackware 13.37 x86 version origin version, so this is to
say the standard version 13.37's libX11.so.6.3.0 has bug.
so if someone find this problem, perhpas to replace this
file with newest version.

Thanks you again!! I commit this reply to hope all people occur this problem to here.

But I still have a problem, yours libX11.so.6.3.0 with my old libX11.so.6.3.0 version number is same, but the files is not same? why not add a minor version number ?

Last edited by zw963; 08-30-2012 at 10:45 AM.
 
Old 08-30-2012, 11:53 AM   #48
zerouno
Member
 
Registered: Oct 2009
Distribution: Slackware
Posts: 276

Rep: Reputation: 84
skype_static-4.0.0.8-x86_64-1mt.txz linked at post #42 is for slackware current (of a month ago).

Have you slackware current or 13.37?



Quote:
Hi, I just have a look with newest 4.0.0.8 package, I find you not use the follow files.

libQtGui.so.4.7.0
...
skype_static version have the Qt libraries builtin.
skype_dynamic version require Qt libraries.
 
Old 08-30-2012, 01:38 PM   #49
Mobile1
Member
 
Registered: Jun 2006
Location: Abbotsford, B.C.
Distribution: Slackware64 14.1
Posts: 109

Rep: Reputation: 7
The Skype STATIC download just works...it works on Slackware 14 RC 3! Woot!!!!
 
1 members found this post helpful.
Old 08-30-2012, 03:02 PM   #50
zerouno
Member
 
Registered: Oct 2009
Distribution: Slackware
Posts: 276

Rep: Reputation: 84
Quote:
Originally Posted by Mobile1 View Post
The Skype STATIC download just works...it works on Slackware 14 RC 3! Woot!!!!
This skype_static package works with slackware 14, slackware 13.37 and also slackware 13.1
This package is STATIC, that means that all libraries needed are included in package, taken from slackware 14.0beta1
So even if you install this package over a slackware 13.1 you are using the slackware 14beta1 libraries and no one system (13.1) libraries.

At the same, the skype static packaged for slackware 13.1, should works over a slackware 14 distribution.

And also..., this package should works even with 32bit version of slackware and teorically should works with 32/64 bit of ALL other distributions, slackware based (arch, salix, ...) and NO slackware based (debian, redhat and derivate)!!!
 
Old 09-09-2012, 10:26 AM   #51
zw963
LQ Newbie
 
Registered: Jan 2011
Posts: 12

Rep: Reputation: 0
Quote:
Originally Posted by zerouno View Post
skype_static-4.0.0.8-x86_64-1mt.txz linked at post #42 is for slackware current (of a month ago).

Have you slackware current or 13.37?





skype_static version have the Qt libraries builtin.
skype_dynamic version require Qt libraries.
hi , I think you ought to not build Qt lib builtin skype_static.

I have use you skype_static-4.0.0.8-x86_64-1mt.txz some lib files, to make my skype
is WORK FINE, but I not use you skype execute files and which lib files related lib mirror, why ? because you skype files is too big, in addition, if I update to 4.0.0.9(if have), I must wait you release new version.

So, I add the following files in my lib path:

./libQtGui.so.4.7.0
./libQtXml.so.4
./libQtXml.so.4.7.0
./libQtCore.so.4.7.0
./libQtNetwork.so.4
./libQtNetwork.so.4.7.0
./libQtGui.so.4
./libQtCore.so.4
./libQtDBus.so.4.7.0
./libQtDBus.so.4

Although I add some big files, But skype execute is become smaller, all size is
not become bigger to much, But when I update to new version, I just need replace old
version skype execute files with newest one.

So,I think you ought to distribute a dynamic_one skype package, you say ???
 
Old 09-10-2012, 03:35 AM   #52
zerouno
Member
 
Registered: Oct 2009
Distribution: Slackware
Posts: 276

Rep: Reputation: 84
uhmmm.
I must to rebuild skype_static at brief (but now I have few time) becouse current version is linked with slackware 14beta,
but I need a lot to study this new idea.

However, if I do not release slackware 4.0.0.9 the day of its release, you may run the slackbuild simply modifying VERSION in 4.0.0.9.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Skype for Slackware Konphine Linux - Software 2 07-07-2011 02:25 PM
latest skype Skype 2.2.0.25 and Slackware --current anti_user Slackware 10 04-07-2011 03:22 PM
noise in skype to skype calls in skype v2.1 beta for fedora mq15 Linux - Software 0 01-20-2010 01:04 AM
skype on slackware alexrait1 Slackware 23 04-02-2008 10:29 AM
Skype on Kubuntu 7.04 64bit matuk_444 Ubuntu 3 06-11-2007 03:13 PM


All times are GMT -5. The time now is 05:35 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration